GET /search

openstreetmap.org:nominatim-api

Summary: Forward Geocoding
Operation ID: search
Auth: unknown
Description

Search for locations by name or address. Returns matching places with coordinates and address details.

Parameters (29)

accept-language (string, query, optional)

Preferred language for results (e.g., 'en,fr')

addressdetails (integer, query, optional, default: 0)

Include address breakdown in response (0 or 1)

Constraints: {'enum': [0, 1]}

amenity (string, query, optional)

Structured query: amenity name (e.g., 'restaurant'). Cannot be combined with 'q' parameter.

bounded (integer, query, optional, default: 0)

Strictly restrict to viewbox (0 or 1)

Constraints: {'enum': [0, 1]}

city (string, query, optional)

Structured query: city name. Cannot be combined with 'q' parameter.

country (string, query, optional)

Structured query: country name. Cannot be combined with 'q' parameter.

countrycodes (string, query, optional)

Comma-separated ISO 3166-1alpha2 country codes to restrict search (e.g., 'gb,de')

county (string, query, optional)

Structured query: county name. Cannot be combined with 'q' parameter.

debug (integer, query, optional, default: 0)

Return HTML debug info (0 or 1)

Constraints: {'enum': [0, 1]}

dedupe (integer, query, optional, default: 1)

Remove duplicate results (0 or 1)

Constraints: {'enum': [0, 1]}

email (string, query, optional)

Contact email (required for heavy usage)

exclude_place_ids (string, query, optional)

Comma-separated place IDs to exclude from results

extratags (integer, query, optional, default: 0)

Include additional OSM tags (0 or 1)

Constraints: {'enum': [0, 1]}

featureType (string, query, optional)

Restrict to feature type: country, state, city, settlement

Constraints: {'enum': ['country', 'state', 'city', 'settlement']}

format (string, query, optional, default: jsonv2)

Response format

Constraints: {'enum': ['xml', 'json', 'jsonv2', 'geojson', 'geocodejson']}

json_callback (string, query, optional)

JSONP callback function name

layer (string, query, optional)

Comma-separated layer filters: address, poi, railway, natural, manmade

limit (integer, query, optional, default: 10)

Maximum number of results (1-40)

Constraints: {'minimum': 1, 'maximum': 40}

namedetails (integer, query, optional, default: 0)

Include full list of names (0 or 1)

Constraints: {'enum': [0, 1]}

polygon_geojson (integer, query, optional, default: 0)

Return geometry as GeoJSON (0 or 1)

Constraints: {'enum': [0, 1]}

polygon_kml (integer, query, optional, default: 0)

Return geometry as KML (0 or 1)

Constraints: {'enum': [0, 1]}

polygon_svg (integer, query, optional, default: 0)

Return geometry as SVG (0 or 1)

Constraints: {'enum': [0, 1]}

polygon_text (integer, query, optional, default: 0)

Return geometry as WKT (0 or 1)

Constraints: {'enum': [0, 1]}

polygon_threshold (number, query, optional, default: 0.0)

Simplify geometry tolerance in degrees (default: 0.0)

postalcode (string, query, optional)

Structured query: postal code. Cannot be combined with 'q' parameter.

q (string, query, optional)

Free-form query string (e.g., 'Cafe Paris, New York'). Cannot be combined with structured query parameters.

state (string, query, optional)

Structured query: state name. Cannot be combined with 'q' parameter.

street (string, query, optional)

Structured query: street name. Cannot be combined with 'q' parameter.

viewbox (string, query, optional)

Bias search to bounding box: x1,y1,x2,y2 (longitude, latitude)

Examples (3)

TitleTypeURLAction
Forward Geocoding openapi-spec https://nominatim.openstreetmap.org/search?q=Berlin&countrycodes=de,us
Forward Geocoding openapi-spec https://nominatim.openstreetmap.org/search?q=London, UK
Forward Geocoding probe-gate https://nominatim.openstreetmap.org/search?q=London%2C+UK&format=json&limit=10&addressdetails=0&extratags=0&namedetails=0

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:39:45.178180 200 226ms
2026-03-23 09:38:15.084403 200 303ms
2026-03-23 09:33:59.341673 200 673ms

Response Changes

WhenOldNew
2026-03-23 09:38:15.084403 fa7c3c240d10 6f1b6b73cd2c